# Bank Account

{% hint style="info" %}
This module only supports Indonesian bank accounts
{% endhint %}

## Endpoints

| Method | URL                                  |
| ------ | ------------------------------------ |
| POST   | `$synapses`**/v1/account/screening** |

### Headers

| Header          | Value                                           |
| --------------- | ----------------------------------------------- |
| `Content-Type`  | `application/json`                              |
| `Authorization` | `Bearer` [`YOUR_API_KEY`](/authentication-1.md) |

### **Request**

{% tabs %}
{% tab title="Description" %}

| Field                                                             | Type     | Description                                                                 |
| ----------------------------------------------------------------- | -------- | --------------------------------------------------------------------------- |
| <p>bankAccount</p><p><strong><code>(required)</code></strong></p> | `String` | Bank account number to be checked                                           |
| bankCode&#xD;                                                     | `String` | <p>Bank code of the bank account</p><p>(ATM Bersama dan Jaringan Prima)</p> |
| bankAccountName&#xD;                                              | `String` | Bank account holder name                                                    |
| bankReportStartDate&#xD;                                          | `Date`   | Get user reports history from date                                          |
| bankReportEndDate&#xD;                                            | `Date`   | Get user reports history to date                                            |
| {% endtab %}                                                      |          |                                                                             |

{% tab title="Example" %}

```
{
	  "bankAccount": "90150041843",
	  "bankCode": "008",
	  "bankAccountName": "Siti Astika Nurajizah",
    "bankReportStartDate": "2019-09-09",
    "bankReportEndDate": "2021-01-01"
}
```

{% endtab %}
{% endtabs %}

### **Response**

{% tabs %}
{% tab title="Description" %}

| Field                   | Type                                                                         | Description                                                               |
| ----------------------- | ---------------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| fullName&#xD;           | `String`                                                                     | Full name of the bank account holder (based on user report)               |
| bankAccount&#xD;        | `String`                                                                     | Bank account number.                                                      |
| bankName&#xD;           | `String`                                                                     | Name of the issuing bank                                                  |
| bankCode&#xD;           | `String`                                                                     | Bank code (ATM Bersama dan Jaringan Prima)                                |
| bankRegionName&#xD;     | `String`                                                                     | Region of the bank                                                        |
| bankBranchName&#xD;     | `String`                                                                     | Name of the bank branch                                                   |
| bankBranchAddress&#xD;  | `String`                                                                     | Address of the bank branch                                                |
| reportCount&#xD;        | `Integer`                                                                    | The number of fraud reports related to the bank account                   |
| reportScore&#xD;        | <p><code>Float</code> </p><p><strong><code>(-100 to 100)</code></strong></p> | Accumulated total report score                                            |
| reviewCount&#xD;        | `Integer`                                                                    | The number of reviews related to the bank account                         |
| reviewCountSummary&#xD; | `Integer`                                                                    | Review rating count&#xD;                                                  |
| reviewScore&#xD;        | <p><code>Float</code></p><p><strong><code>(-100 to 100)</code></strong></p>  | Accumulated review score                                                  |
| isAccountVerified&#xD;  | `Boolean`                                                                    | Define whether the bank account number is verified in the Kredibel system |
| isBankHighRisk&#xD;     | `Boolean`                                                                    | Define whether the bank is high risk                                      |
| isWhitelist&#xD;        | `Boolean`                                                                    | Bank account whitelist status                                             |
| isBlacklist&#xD;        | `Boolean`                                                                    | Bank account blacklist status                                             |
| score&#xD;              | <p><code>Float</code> </p><p><strong><code>(-100 to 100)</code></strong></p> | Total accumulated credibility score of the bank account                   |
| {% endtab %}            |                                                                              |                                                                           |

{% tab title="Example" %}

```
{
    "message": "Account Screening - Single.",
    "data": {
        "id": "bc07c1cb-f390-429e-9c57-8e02a12c3cc9",
        "score": -90.5,
        "status": "reject",
        "bankDetails": {
            "fullName": "Siti Astika Nurajizah",
            "bankAccount": "90150041843",
            "bankName": "Bank BTPN",
            "bankCode": "213",
            "bankRegionName": null,
            "bankBranchName": null,
            "bankBranchAddress": null,
            "reportCount": 13,
            "reportScore": -100,
            "reviewCount": 3,
            "reviewCountSummary": {
                "oneStars": 3,
                "twoStars": 0,
                "threeStars": 0,
                "fourStars": 0,
                "fiveStars": 0
            },
            "reviewScore": -7.5,
            "isAccountVerified": false,
            "isBankHighRisk": true,
            "isBlacklist": false,
            "isWhitelist": true,
            "score": -90.5
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kredibel.io/api-references/account-screening/bank-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
